package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 连网历史对象 b_net_history
 *
 * @author ruoyi
 * @date 2023-11-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BNetHistory extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 商户id
     */
    private Long shanghuId;

    /**
     * 商户名称
     */
    @Excel(name = "商户名称")
    private String posName;

    /**
     * 手机号
     */
    @Excel(name = "手机号")
    private String phoneNumber;

    /**
     * 联系人
     */
    @Excel(name = "联系人")
    private String linkMan;

    /**
     * 城市
     */
    @Excel(name = "城市")
    private String city;

    /**
     * 地址信息
     */
    @Excel(name = "地址信息")
    private String address;

    /**
     * 是否连接成功
     */
    @Excel(name = "是否连接成功")
    private Long isTrue;

    /**
     * 网络id
     */
    @Excel(name = "网络id")
    private Long netId;

    /**
     * 网络名称
     */
    @Excel(name = "网络名称")
    private String netName;

    /**
     * wifi名称
     */
    @Excel(name = "wifi名称")
    private String wifiName;

    /**
     * wifi密码
     */
    @Excel(name = "wifi密码")
    private String wifiPass;
}
