package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 广告对象 b_poster
 *
 * @author ruoyi
 * @date 2023-11-21
 */
public class Poster extends BaseEntity {

    private static final long serialVersionUID = 5298961068999599481L;
    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 广告名称
     */
    @Excel(name = "广告名称")
    private String posterName;

    /**
     * 有效起始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效起始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 有效结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 视频封面
     */
    @Excel(name = "视频封面")
    private String videoLogo;

    /**
     * 视频路径
     */
    @Excel(name = "视频路径")
    private String videoPath;

    @Override
    public String toString() {
        return "Poster{" + "id=" + id + ", posterName='" + posterName + '\'' + ", startTime=" + startTime + ", endTime=" + endTime + ", videoLogo='" + videoLogo + '\'' + ", videoPath='" + videoPath + '\'' + '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPosterName() {
        return posterName;
    }

    public void setPosterName(String posterName) {
        this.posterName = posterName;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getVideoLogo() {
        return videoLogo;
    }

    public void setVideoLogo(String videoLogo) {
        this.videoLogo = videoLogo;
    }

    public String getVideoPath() {
        return videoPath;
    }

    public void setVideoPath(String videoPath) {
        this.videoPath = videoPath;
    }
}
